package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dos.ContactInformationDO;
import com.simuwang.base.pojo.dto.query.ContactQuery;
import com.simuwang.base.pojo.vo.ContactInformationVO;
import com.smppw.common.pojo.ResultVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ContactInformationService {

    ResultVo saveContactInformation(List<ContactInformationVO> contactInformationVO);

    MybatisPage<ContactInformationVO> selectContactInformationList(ContactQuery contactQuery);

    ResultVo deleteById(Integer id);

    List<ContactInformationDO> selectContactInformationListByCompanyId(String companyId);

    ContactInformationDO selectById(Integer id);

    ResultVo uploadContactInformation(MultipartFile file);

    ResultVo sendEmail(List<MultipartFile> files, String contractId, String emailTitle, String templateCode, String emailBody,String emailId);

    List<ContactInformationDO> selectByIdList(List<Integer> idList);
}
