package com.simuwang.base.mapper.daq;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.CompanyContactInfoDO;

import com.simuwang.base.pojo.dos.CompanyContactInfoPageDO;
import com.simuwang.base.pojo.dos.CompanyContactPageDO;
import com.simuwang.base.pojo.dto.query.CompanyContactQuery;
import com.simuwang.base.pojo.dto.query.CompanyIdQuery;
import com.simuwang.base.pojo.vo.IdVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface CompanyContactInfoMapper extends BaseMapper<CompanyContactInfoDO> {

    CompanyContactInfoDO getCompanyContactInfo(@Param("companyId") String companyId, @Param("contactDate")String contactDate);

    List<CompanyContactInfoPageDO> selectCompanyContactInfoList(CompanyContactQuery companyContactQuery);

    long countCompanyContactInfo(CompanyContactQuery companyContactQuery);

    List<CompanyContactPageDO> selectCompanyContactListByCompanyId(CompanyIdQuery companyIdQuery);

    long countCompanyContactByCompanyId(CompanyIdQuery companyIdQuery);

    CompanyContactPageDO selectCompanyContactDetail(Integer id);

    void deleteCompanyContactInfoById(@Param("id") Integer id,@Param("userId") Integer userId);

    CompanyContactInfoDO getLastCompanyContactInfoDO(String companyId);

    int selectCountByContactId(@Param("contactId") Integer id);
}