package com.simuwang.base.mapper.daq;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.EmailTemplateDO;
import com.simuwang.base.pojo.dto.query.EmailTemplatePageQuery;
import com.simuwang.base.pojo.vo.StatusVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailTemplateMapper extends BaseMapper<EmailTemplateDO> {
    List<EmailTemplateDO> searchEmailTemplateList(EmailTemplatePageQuery emailTemplatePageQuery);

    Long countEmailTemplateList(EmailTemplatePageQuery emailTemplatePageQuery);

    EmailTemplateDO selectByCode(@Param("templateCode") String templateCode,@Param("channelId")Integer channelId);

    EmailTemplateDO searchTemplateById(Integer id);

    void updateOpenStatus(@Param("item") StatusVO statusVO,@Param("userId") Integer userId);

    void deleteTemplateList(@Param("idList")List<Integer> idList,@Param("userId") Integer userId);
}
