package com.simuwang.base.mapper.daq;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.UserChannelMappingDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface UserChannelMappingMapper extends BaseMapper<UserChannelMappingDO> {

    UserChannelMappingDO selectUserChannelMappingDO(UserChannelMappingDO userChannelMappingDO);

    void removeUserChannel(@Param("userId") Integer userId, @Param("loginUserId")Integer loginUserId);

    List<Integer> getUserChannelId(@Param("userId")Integer userId);

    List<String> selectChannelEmailByUserId(@Param("userId") Integer userId);
}